Epoch: 0
Group: Development/Java
# BEGIN SourceDeps(oneline):
BuildRequires: rpm-build-java
# END SourceDeps(oneline)
BuildRequires: /proc
BuildRequires: jpackage-generic-compat
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:          cssparser
Version:       0.9.20
Release:       alt1_6jpp8
Summary:       CSS Parser
License:       ASL 2.0
URL:           http://cssparser.sourceforge.net/
# sh ./fetch-cssparser.sh <VERSION>
Source0:       cssparser-%{version}.tar.xz
Source1:       fetch-cssparser.sh

BuildArch:     noarch

BuildRequires: java-devel >= 1.6.0
BuildRequires: maven-local
BuildRequires: mvn(com.google.code.maven-replacer-plugin:replacer)
BuildRequires: mvn(junit:junit)
BuildRequires: mvn(org.apache.maven.plugins:maven-source-plugin)
BuildRequires: mvn(org.codehaus.mojo:javacc-maven-plugin) >= 2.6
BuildRequires: mvn(org.sonatype.oss:oss-parent:pom:)
BuildRequires: mvn(org.w3c.css:sac) >= 1.3
Source44: import.info

%description
A CSS parser which implements SAC (the Simple API for CSS).

%package javadoc
Group: Development/Java
Summary:       Javadoc for %{name}
BuildArch: noarch

%description javadoc
API documentation for %{name}.

%prep
%setup -q

%pom_remove_plugin :maven-checkstyle-plugin
# unused artefact
%pom_remove_plugin :maven-source-plugin

# SACParserCSS3Test.unicodeInputByteStreamDefaultEncoding:2981
# expected:<...:before { content: "[? - ?]" }> but was:<...:before { content: "[? - ?]" }>
rm src/test/java/com/steadystate/css/parser/SACParserCSS3Test.java

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc doc/license.html doc/readme.html
%doc --no-dereference LICENSE.txt

%files javadoc -f .mfiles-javadoc
%doc --no-dereference LICENSE.txt

%changelog
* Sat May 25 2019 Igor Vlasenko <viy@altlinux.ru> 0:0.9.20-alt1_6jpp8
- new version

* Tue Feb 05 2019 Igor Vlasenko <viy@altlinux.ru> 0:0.9.20-alt1_5jpp8
- fc29 update

* Thu Apr 19 2018 Igor Vlasenko <viy@altlinux.ru> 0:0.9.20-alt1_4jpp8
- java update

* Sat Nov 04 2017 Igor Vlasenko <viy@altlinux.ru> 0:0.9.20-alt1_3jpp8
- new version

* Fri Nov 25 2016 Igor Vlasenko <viy@altlinux.ru> 0:0.9.18-alt1_2jpp8
- new version

* Sat Feb 06 2016 Igor Vlasenko <viy@altlinux.ru> 0:0.9.15-alt1_4jpp8
- java 8 mass update

* Fri Aug 01 2014 Igor Vlasenko <viy@altlinux.ru> 0:0.9.7-alt1_1jpp7
- new version

* Tue Sep 18 2012 Igor Vlasenko <viy@altlinux.ru> 0:0.9.6-alt1_3jpp7
- new version

* Tue Mar 15 2011 Igor Vlasenko <viy@altlinux.ru> 0:0.9.5-alt3_1jpp5
- fixed build with javacc 5

* Tue Mar 15 2011 Igor Vlasenko <viy@altlinux.ru> 0:0.9.5-alt2_1jpp5
- fixed build with javacc 5

* Wed Feb 02 2011 Igor Vlasenko <viy@altlinux.ru> 0:0.9.5-alt2_1jpp5
- fixed build with new maven 2.0.8

* Mon Feb 09 2009 Igor Vlasenko <viy@altlinux.ru> 0:0.9.5-alt1_1jpp5
- new version

